# Constanze

A little cli tool to help you interact with akkoma instances.

Helpful when dealing with operations that are not yet supported by the web interface.

## Installation

download the latest release from the [releases page](https://akkoma.dev/AkkomaGang/constanze/releases) and put it somewhere in your path.

## Usage

Use `./constanze --help` to get a list of all available commands.

### Configuration

A basic configuration file can be generated with:
```bash
./constanze configure
```

### Creating a new oauth application 

```bash
./constanze token --client-app --scopes "read write" --client-name "My App"
```

### Debug mode

If you want to see the requests and responses, you can enable debug mode with:
```bash
./constanze --debug <command>
```
